Несколько уязвимостей в Perl Net::DNS модуле

Дата публикации:
02.07.2007
Дата изменения:
01.07.2007
Всего просмотров:
957
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2007-3377
CVE-2007-3409
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Спуфинг атака
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Net::DNS 0.x (модуль к Perl)
Уязвимые версии: Net::DNS (модуль к Perl) версии до 0.60.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести спуфинг-атаку и вызвать отказ в обслуживании.

1. Уязвимость существует из-за ошибки при обработке DNS запросов, в которых ID увеличиваются на фиксированное значение и используются как дополнение к дочернему процессу сервера. Злоумышленник может угадать ID запроса и отравить DNS кеш приложения, использующего уязвимый модуль.

2. Уязвимость существует из-за ошибки в реализации PP в функции "dn_expand()". Удаленный пользователь может с помощью специально сформированного DNS пакета вызвать переполнение стека и вызвать зацикливание приложения.

URL производителя: www.net-dns.org

Решение: Установите последнюю версию 0.60 с сайта производителя.

или введите имя

CAPTCHA